The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get all VM groups

Prev Next

This URL gets all the VM groups configured in the Manager.

Resource URL

GET /vmgroup

Request Parameters

None

Response Parameters

Following fields are returned in the response.

Field Name

Description

Data Type

success

Indicates if the GET operation is successful.

Value is set to true if the GET operation is successful.

Value is set to false if the GET operation is not successful.

string

msg

Not applicable

Not applicable

errMsg

Not applicable

Not applicable

domainName

Not applicable

Not applicable

data

Details of the VM groups. Each object has the details of a VM group.

The value of groupId field is the Id of the VM group. You can use the groupId value to perform operations such as update, delete, and fetch for a VM group.

Array of objects

Example

Request

GET https://<NSM_IP>/intruvert/webservice/api/v1/cloud/vmgroup

Response

{"success":true,
"msg":null,
"errMsg":null,
"domainName":null,
"data":[{"domainId":0,
"subscriberVMGroupId":0,
"groupName":"vmg1",
"description":"My vmgroup",
"clusterId":0,"clusterName":null,
"controllerId":0,
"controllerName":null,
"inspectionMode":"ips",
"updateUser":"admin",
"updateDatetime":1556020991000,
"protectedObjects":[
{"id":1,"vmgroupId":1,"type":"CIDR","value":"1.1.1.73/32"},
{"id":2,"vmgroupId":1,"type":"CIDR","value":"1.1.1.78/32"}],
"accountAccesses":null,"protectionProfileVO":null,"groupId":1}]}